#查询套餐
#请求接口路径
[POST] /api/v2/bill-payment/item/query#参数列表
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| sceneCode | String | - | 是 | 业务场景码【详见 场景码】 |
| billerId | String | 32 | 是 | 运营商 ID |
#返回值
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| billerId | String | 32 | 是 | 运营商 ID |
| itemId | String | 32 | 是 | 套餐 ID |
| itemName | String | 32 | 是 | 套餐名称 |
| amount | Long | - | 否 | 套餐金额 |
| minAmount | Long | - | 否 | 套餐充值金额下限 |
| maxAmount | Long | - | 否 | 套餐充值金额上限 |
| isFixAmount | Integer | - | 否 | 是否固定金额 0-非固定金额 1-固定金额 |
| status | Integer | - | 否 | 状态 0 1 |
| extInfo | Object | - | 否 | 扩展参数 |
| extInfo 对象字段 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| validityDate | Long | - | 否 | 套餐有效天数 |
| itemSize | String | 32 | 否 | 套餐大小 |
| itemDescription | String | 32 | 否 | 套餐的使用说明 |
#Postman 请求示例
#request
curl 请求
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/item/query' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{"requestTime":1713924195586,"nonceStr":"6brpMN6ekD2kxZb2Xz7XQehadenFn8d3","version":"V2","billerId":"MTN","sceneCode":"airtime"}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": [
{
"billerId": "MTN",
"itemId": "5267001812",
"itemName": "MTN Adaptable Amount",
"amount": 10000,
"maxAmount": null,
"minAmount": null,
"isFixAmount": 0,
"status": 1
}
]
}#公共错误码
#业务错误码
| 错误码 | 错误描述 | 解决方案 |
|---|---|---|
| SBP.INVALID_PARAMETER | 参数无效 | 检查请求参数,修改后重新发起请求 |
| SBP.INVALID_SCENE_CODE | 场景码无效 | 检查场景码,修改后重新发起请求 |
| SBP.BILLER_DISABLE | 运营商不可用 | 检查运营商 ID 是否正确或者运营商状态是否可用 |